# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178170106787292/filelock-feedstock/recipe, last modified Wed Jun 17 13:34:55 2026
# ------------------------------------------------

package:
  name: filelock
  version: 3.29.4
source:
  url: https://pypi.org/packages/source/f/filelock/filelock-3.29.4.tar.gz
  sha256: 10cdb3656fc44541cdf30652a93fb10ec6b05325620eb316bd26893e4201538a
build:
  number: '0'
  script: /home/task_178170106787292/croot/filelock_1781703315595/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install --no-deps --no-build-isolation . -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - hatch-vcs 0.5.0 py314h06a4308_0
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.1.1 pyh0d26453_1
    - pluggy 1.6.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - setuptools-scm 10.0.5 py314h06a4308_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026b he532380_0
    - vcs-versioning 1.1.1 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - tests
  imports:
    - filelock
  requires:
    - pip
    - pytest >=9.0.3
    - pytest-asyncio >=1.3
    - pytest-mock >=3.15.1
    - virtualenv >=20.28.0
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('filelock')=='3.29.4')"
    - pytest -vv tests
about:
  home: https://github.com/tox-dev/py-filelock
  license: Unlicense
  license_family: Public-Domain
  license_file: LICENSE
  summary: A platform independent file lock.
  description: 'A filelock provides a synchronization mechanism between different

    instances of your application, similar to a thread lock. It can be

    used to signalize that files, directories or other resources are

    currently used or manipulated (Think of a sync.lock file). Only the

    existence of the lockfile is watched for this purpose. The file itself

    can not be written and is always empty.

    '
  doc_url: https://py-filelock.readthedocs.io
  dev_url: https://github.com/tox-dev/py-filelock
extra:
  recipe-maintainers:
    - jakirkham
    - mariusvniekerk
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/filelock-feedstock
  sha: 7d1f764d561a6d932fb70c587f1f344064473aec
  task_id: LhLuk5NuRt219pw-KxFhZA
  task_run_id: '0'
  pbp_graph_uuid: 54955080-8211-4eef-9b21-c9779865e7c6
